Bug 355902 - APK files have no icon
Summary: APK files have no icon
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: Icons (show other bugs)
Version: 5.4.3
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Uri Herrera
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-25 18:43 UTC by Sudhir Khanger
Modified: 2015-11-30 16:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of file with no icon (15.59 KB, image/png)
2015-11-25 18:44 UTC, Sudhir Khanger
Details
sample file with the missing icon problem (1.11 MB, application/vnd.android.package-archive)
2015-11-25 18:46 UTC, Sudhir Khanger
Details
KeePassX file also missing icon (19.13 KB, image/png)
2015-11-26 11:20 UTC, Sudhir Khanger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sudhir Khanger 2015-11-25 18:43:41 UTC
APK files and possibly other files like msi have no icons in Dolphin. They aren't even assigned some default icon for unknown file types. Dolphin correctly recognizes them as archive formats and assigns ark as default file handler. Not even fallback icon theme is being used to assign some icon.

Reproducible: Always

Steps to Reproduce:
1. Go to any folder containing apk file.
2.
3.

Actual Results:  
APK files have no icons.

Expected Results:  
Should have a proper apk file icon or at least an unknown file type icon.
Comment 1 Sudhir Khanger 2015-11-25 18:44:50 UTC
Created attachment 95742 [details]
screenshot of file with no icon
Comment 2 Sudhir Khanger 2015-11-25 18:46:41 UTC
Created attachment 95743 [details]
sample file with the missing icon problem

Also I have tried deleting icon cache with no luck of course.

rm -fv ~/.cache/icon-cache.kcache
Comment 3 Syam 2015-11-26 01:11:40 UTC
I too have the same problem on Fedora 23 (x86-64).

Dolphin:
Version 15.08.1
KDE Frameworks 5.16.0
Qt 5.5.1 (built against 5.5.0)
Comment 4 Sudhir Khanger 2015-11-26 11:20:00 UTC
Created attachment 95756 [details]
KeePassX file also missing icon

KeePassX database file are also missing icons.
Comment 5 Uri Herrera 2015-11-26 16:53:23 UTC
It'd help if you could add the name of the mimetype. I don't have/use. KeePassX (and I don't want to install it).
Comment 6 Uri Herrera 2015-11-26 16:57:17 UTC
Git commit 2a9e145c4a0c522b0444028a86c43aab2a00a2c2 by Uri Herrera.
Committed on 26/11/2015 at 16:56.
Pushed by uriherrera into branch 'master'.

M  +13   -13   icons-dark/apps/22/system-lock-screen.svg
A  +1    -0    icons-dark/mimetypes/16/application-vnd.android.package-archive.svg
A  +1    -0    icons-dark/mimetypes/22/application-vnd.android.package-archive.svg
A  +1    -0    icons-dark/mimetypes/32/application-vnd.android.package-archive.svg
A  +1    -0    icons-dark/mimetypes/64/application-vnd.android.package-archive.svg
M  +12   -12   icons/apps/22/system-lock-screen.svg
A  +1    -0    icons/mimetypes/16/application-vnd.android.package-archive.svg
A  +1    -0    icons/mimetypes/22/application-vnd.android.package-archive.svg
A  +1    -0    icons/mimetypes/32/application-vnd.android.package-archive.svg
A  +1    -0    icons/mimetypes/64/application-vnd.android.package-archive.svg

http://commits.kde.org/breeze-icons/2a9e145c4a0c522b0444028a86c43aab2a00a2c2
Comment 7 Sudhir Khanger 2015-11-26 17:47:09 UTC
"application/x-keepass" should be the mime type for keepass database. Is that what you are asking?
Comment 8 Uri Herrera 2015-11-26 20:08:01 UTC
Yes. Though, this bug is fixed as it was about the APK mimetype. Open a new one for the KeePassX DB mimetype.
Comment 9 Syam 2015-11-27 01:23:56 UTC
But how did the APK type end up with no icon? If there's no icon assigned, shouldn't it get a default icon?
Otherwise we'll have to open bug reports for every other type that has this problem. So far, we know of three - APK, MSI and KeePassX. But what if there's more?
Comment 10 Uri Herrera 2015-11-29 18:02:24 UTC
> But how did the APK type end up with no icon? If there's no icon assigned, shouldn't it get a default icon?

It's always been like that. I don't remember if in Gnome you do get a default icon for mime types. I know there's one for applications.

> Otherwise we'll have to open bug reports for every other type that has this problem. So far, we know of three - APK, MSI and KeePassX. But what if there's more?

And it would be the same. There would be reports for missing mimetypes or there would be reports for mimetypes using the same icon.
Comment 11 Syam 2015-11-29 19:17:55 UTC
(In reply to Uri Herrera from comment #10)
> > But how did the APK type end up with no icon? If there's no icon assigned, shouldn't it get a default icon?
> 
> It's always been like that. I don't remember if in Gnome you do get a
> default icon for mime types. I know there's one for applications.

I don't have GNOME installed, so can't comment on that. But wouldn't it be easier if known mime types that do not have any icon are also rendered with a default icon?
If I create a new file with some random contents and a random extension (dd if=/dev/zero of=foo.hku bs=1M count=1), the file is shown with an unknown type icon (the one with a question mark).

Is it possible for KDE to have a default icon for all mime types that don't have an associated icon, irrespective of whether GNOME does it that way?
Comment 12 Uri Herrera 2015-11-29 20:40:11 UTC
There's that one and one that is even more generic as it is blank: application-x-zerosize

But yeah, visually there should be an icon in use. However this is not an icon theme issue this is up to the apps or frameworks and I don't know against which component this should be reported.